import { jsx } from "react/jsx-runtime";
import { Resize as Resize$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Resize = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Resize", ...props, children: /* @__PURE__ */ jsx(Resize$1, { weight: variant }) });
  }
);
Resize.displayName = "Resize";
Object.assign(Resize, { isGdsIcon: true });
export {
  Resize
};
